> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Export balance sheet as CSV

> Exports a balance sheet report as a CSV file. Returns a pre-signed URL for downloading the generated CSV file.



## OpenAPI

````yaml get /v1/businesses/{businessId}/reports/balance-sheet/exports/csv
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/reports/balance-sheet/exports/csv:
    get:
      tags: []
      summary: Export balance sheet as CSV
      description: >-
        Exports a balance sheet report as a CSV file. Returns a pre-signed URL
        for downloading the generated CSV file.
      operationId: business.reports.balance-sheet.exports.csv.get
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business to export the balance sheet for
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
        - name: effective_date
          in: query
          description: Effective date for the balance sheet (ISO 8601 format)
          required: true
          schema:
            type: string
            format: date-time
        - name: money_format
          in: query
          description: Format for monetary values in the export
          schema:
            type: string
            enum:
              - DOLLAR_STRING
              - CENTS_INTEGER
        - name: reporting_basis
          in: query
          description: Accounting basis for the report
          schema:
            type: string
            enum:
              - ACCRUAL
              - CASH
        - name: tag_filter
          in: query
          description: Filter results by tags
          schema:
            type: string
      responses:
        '200':
          description: Pre-signed URL for downloading the CSV export
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/S3PresignedUrl'
        '400':
          description: Balance sheet not yet reconciled for the requested date.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: >-
            Business id is not found. This indicates the business id is invalid
            or the business has been archived.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    S3PresignedUrl:
      type: object
      properties:
        type:
          type: string
          description: Resource type. Value will be 'S3_Presigned_Url'.
          example: S3_Presigned_Url
        presignedUrl:
          type: string
          description: Pre-signed URL to download a document
          example: >
            https://example-bucket.s3.amazonaws.com/example-object?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=FAKEAWSACCESSKEY%2F20240710%2Fus-west-1%2Fs3%2Faws4_request&X-Amz-Date=20240710T000000Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=FAKESIGNATURE1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef
        fileType:
          type: string
          description: The file type of the document
          example: csv
      description: A pre-signed URL to download a document
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````